#Se definen 3 puntos en una recta a los que se asocia 2 colores mediante nmeros
#azul con el nmero -1 y rojo con el nmero 1

p1 <- c(1,-1)
p2 <- c(3,1)
p3 <- c(4,-1)

#Funcin de Embedimiento y = x^3

Emb1 = c(p1[1], p1[1]**3, -1)
Emb2 = c(p2[1], p2[1]**3, 1)
Emb3 = c(p3[1], p3[1]**3, -1)

#Representacin del Embedimiento

Embedimiento <- rbind(c(Emb1[1], Emb1[2]),c(Emb2[1], Emb2[2]),
                      c(Emb3[1], Emb3[2]))
plot(Embedimiento, col = c("blue", "red", "blue"))

#Se busca una recta (hiperplano) que separe los azules del rojo, ahora que
#se puede

abline(a = -15, b = 15, col = "green")

#Solucin Ecuacin

z <- matrix(c(15, -15, 0, 1), ncol = 1)
polyroot(z)


